apiVersion: v1
kind: Pod
metadata:
  name: cg-test
spec:
  containers:
  - name: test-cg
    image: test-cg:latest
    imagePullPolicy: Never
    securityContext:
      privileged: true
    volumeMounts:
    - mountPath: /dev/hugepages
      name: hugepage
    resources:
      requests:
        memory: 1Gi
      limits:
        hugepages-1Gi: 2Gi
          #command: ["/usr/bin/dpdk-testpmd", "-m", "1024", "-l", "4,5", "--vdev", "net_vhost0,iface=/tmp/doesnotexist", "--", "-i"] 
    # This command stats DPDK, makes EAL do some memory pre-allocation ("-m") and then fails when vhost fails to bind to /tmp/doesnotexist
    # It seems enough to trigger the issue

  volumes:
  - name: hugepage
    emptyDir:
      medium: HugePages
